Debian Bug report logs - #531318
ghc6: Shouldn't provide utf8-string, ghc-mtl and haskeline.

version graph

Package: ghc6; Maintainer for ghc6 is Kari Pahula <kaol@debian.org>; Source for ghc6 is src:ghc.

Reported by: marcot@debian.org

Date: Sun, 31 May 2009 14:12:05 UTC

Severity: normal

Found in version ghc6/6.10.3-2

Fixed in version ghc6/6.10.3-3

Done: Kari Pahula <kaol@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-haskell@lists.debian.org, Kari Pahula <kaol@debian.org>:
Bug#531318; Package ghc6. (Sun, 31 May 2009 14:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Túlio Gontijo e Silva <marcot@holoscopio.com>:
New Bug report received and forwarded. Copy sent to debian-haskell@lists.debian.org, Kari Pahula <kaol@debian.org>. (Sun, 31 May 2009 14:12:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@holoscopio.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ghc6: Shouldn't provide utf8-string, ghc-mtl and haskeline.
Date: Sun, 31 May 2009 09:38:04 -0300
Package: ghc6
Version: 6.10.3-2
Severity: normal

ghc6 provides libghc6-utf8-string-dev, libghc6-ghc-mtl-dev and
libghc6-haskeline-dev but they're not listed in ghc-pkg list:

marcot@zezinho:~$ ghc-pkg list | grep -i ghc-mtl
marcot@zezinho:~$ ghc-pkg list | grep -i haskeline
marcot@zezinho:~$ ghc-pkg list | grep -i utf8-string
marcot@zezinho:~$

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.29-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=pt_BR.UTF-8, LC_CTYPE=pt_BR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages ghc6 depends on:
ii  gcc                       4:4.3.3-8      The GNU C compiler
ii  libc6                     2.9-13         GNU C Library: Shared libraries
ii  libffi-dev                3.0.7-1        Foreign Function Interface library
ii  libffi5                   3.0.7-1        Foreign Function Interface library
ii  libgmp3-dev               2:4.3.1+dfsg-1 Multiprecision arithmetic library 
ii  libgmp3c2                 2:4.3.1+dfsg-1 Multiprecision arithmetic library
ii  perl [perl5]              5.10.0-22      Larry Wall's Practical Extraction 

ghc6 recommends no packages.

Versions of packages ghc6 suggests:
ii  ghc6-doc                      6.10.3-2   Documentation for the Glasgow Hask
ii  ghc6-prof                     6.10.3-2   Profiling libraries for the Glasgo
pn  haskell-doc                   <none>     (no description available)

-- no debconf information




Reply sent to Kari Pahula <kaol@debian.org>:
You have taken responsibility. (Sat, 27 Jun 2009 19:06:15 GMT) Full text and rfc822 format available.

Notification sent to Marco Túlio Gontijo e Silva <marcot@holoscopio.com>:
Bug acknowledged by developer. (Sat, 27 Jun 2009 19:06:15 GMT) Full text and rfc822 format available.

Message #10 received at 531318-close@bugs.debian.org (full text, mbox):

From: Kari Pahula <kaol@debian.org>
To: 531318-close@bugs.debian.org
Subject: Bug#531318: fixed in ghc6 6.10.3-3
Date: Sat, 27 Jun 2009 18:32:38 +0000
Source: ghc6
Source-Version: 6.10.3-3

We believe that the bug you reported is fixed in the latest version of
ghc6, which is due to be installed in the Debian FTP archive:

ghc6-doc_6.10.3-3_all.deb
  to pool/main/g/ghc6/ghc6-doc_6.10.3-3_all.deb
ghc6-prof_6.10.3-3_i386.deb
  to pool/main/g/ghc6/ghc6-prof_6.10.3-3_i386.deb
ghc6_6.10.3-3.diff.gz
  to pool/main/g/ghc6/ghc6_6.10.3-3.diff.gz
ghc6_6.10.3-3.dsc
  to pool/main/g/ghc6/ghc6_6.10.3-3.dsc
ghc6_6.10.3-3_i386.deb
  to pool/main/g/ghc6/ghc6_6.10.3-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 531318@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kari Pahula <kaol@debian.org> (supplier of updated ghc6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 27 Jun 2009 17:58:49 +0300
Source: ghc6
Binary: ghc6 ghc6-prof ghc6-doc
Architecture: source i386 all
Version: 6.10.3-3
Distribution: unstable
Urgency: low
Maintainer: Kari Pahula <kaol@debian.org>
Changed-By: Kari Pahula <kaol@debian.org>
Description: 
 ghc6       - GHC - the Glasgow Haskell Compilation system
 ghc6-doc   - Documentation for the Glasgow Haskell Compilation system
 ghc6-prof  - Profiling libraries for the Glasgow Haskell Compilation system
Closes: 531318
Changes: 
 ghc6 (6.10.3-3) unstable; urgency=low
 .
   * Patch mkWeakForeignEnv# in rts/PrimOps.cmm to avoid random
     segfaults. (re:
     https://bugs.launchpad.net/ubuntu/+source/ghc6/+bug/382803)
   * Exclude internal boot libraries from generated Provides: libghc6-*
     substvars. (Closes: #531318)
Checksums-Sha1: 
 1a23c328d2027e37dea84555e23188b571c7bc45 1231 ghc6_6.10.3-3.dsc
 0e889bbbd1c2ada44e7875df7514319be2cd1128 33407 ghc6_6.10.3-3.diff.gz
 4900db3d906e0c04bc47e94eb5127fdb4431f433 32693654 ghc6_6.10.3-3_i386.deb
 0c93357c5d4046555a4edbe1b24f10b06cd3d5ff 28135120 ghc6-prof_6.10.3-3_i386.deb
 39b2511f2f9faf61e0f52b583b432a13846594dd 4248378 ghc6-doc_6.10.3-3_all.deb
Checksums-Sha256: 
 725cffee6e15f5195374aa5d82a99696de529fdd6b6f5bd00e1497ef71ec2856 1231 ghc6_6.10.3-3.dsc
 c8b8741a5bd0a4775e7eeaadc36c8d8d45f18ea12375fc278321ef18d644b1e1 33407 ghc6_6.10.3-3.diff.gz
 b1bc3868016afe9dd6e89f7ee01c077d2a069c6dd9303079eb18c8346e4650f9 32693654 ghc6_6.10.3-3_i386.deb
 a35f0ffa4b063d7d2d3c68c5032ba27df527fa98371c43c9bbc7e4c51f9d9d79 28135120 ghc6-prof_6.10.3-3_i386.deb
 60006d0a840c79913e6f3463f25db6a1cde95800cecbd3e92da741f082367a6b 4248378 ghc6-doc_6.10.3-3_all.deb
Files: 
 ae0b6ff064eec4e1f1cf1c72e1840db4 1231 haskell optional ghc6_6.10.3-3.dsc
 f3b7aca1cea102e0ddd8f6663fba4c61 33407 haskell optional ghc6_6.10.3-3.diff.gz
 ca42bc4f312bb0f9d9e72ac2712b4685 32693654 haskell optional ghc6_6.10.3-3_i386.deb
 48aeb7ff6ca0e00b5520f47c3ba51bca 28135120 haskell optional ghc6-prof_6.10.3-3_i386.deb
 e4e5b6703123ce5c8e18fdbea49f1b13 4248378 doc optional ghc6-doc_6.10.3-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpGS3kACgkQeYl9593Atw1p+wCgraSqT3hMcAUxac1etb0IPIw2
lPgAoJd6j3FyK1BD32fYeMP6YKAB9mve
=SMnA
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 30 Jul 2009 07:34:11 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Marco Túlio Gontijo e Silva <marcot@debian.org> to control@bugs.debian.org. (Mon, 01 Feb 2010 19:10:04 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Marco Túlio Gontijo e Silva <marcot@debian.org>' from 'Marco Túlio Gontijo e Silva <marcot@holoscopio.com>' Request was from Marco Túlio Gontijo e Silva <marcot@debian.org> to control@bugs.debian.org. (Mon, 01 Feb 2010 19:10:17 GMT) Full text and rfc822 format available.

Bug archived. Request was from Marco Túlio Gontijo e Silva <marcot@debian.org> to control@bugs.debian.org. (Mon, 01 Feb 2010 19:10:20 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from marcot@debian.org to control@bugs.debian.org. (Mon, 01 Feb 2010 19:48:45 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'marcot@debian.org' from 'Marco Túlio Gontijo e Silva <marcot@debian.org>' Request was from marcot@debian.org to control@bugs.debian.org. (Mon, 01 Feb 2010 19:48:46 GMT) Full text and rfc822 format available.

Bug archived. Request was from marcot@debian.org to control@bugs.debian.org. (Mon, 01 Feb 2010 19:48:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:23:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.